You are not logged in.

#1 2021-12-14 22:48:02

Robert_Adolph
Member
Registered: 2021-01-18
Posts: 11

Failed to start Authorization Manager

I recently attempted a Pacman -Syu after some months without update.  It failed to complete.  Following that, when I tried the same update I would get the error "version 'GLIBC_2.33' not found (required by sudo)"

Now the system won't boot.  I get the startup messages and they stop shortly after the "Failed to start Authorization Manager" message.  Ctrl-C does not allow it to continue.

I am able to Ctrl-Alt-F3 into a new terminal at this point.

Offline

#2 2021-12-15 09:10:09

V1del
Forum Moderator
Registered: 2012-10-16
Posts: 15,039

Re: Failed to start Authorization Manager

The glibc bump is almost a year old. Broken glibc means you pretty much need a live system or pacman-static, from a live system mount all your partitions under /mnt like they should be including mnt/boot or so if applicable and run a

pacman --sysroot /mnt -Syu

Offline

#3 2021-12-17 18:55:17

Robert_Adolph
Member
Registered: 2021-01-18
Posts: 11

Re: Failed to start Authorization Manager

I booted from a USB drive with Arch install medium and from Archiso mounted the partitions from the original arch drive to /mnt and /mnt/boot respectively.  I then ran your command and received the errors:

error: could not open file: /etc/mtab: No such file or directory
error: could not determine filesystem mount points

Is this not referred to as a live system?  If not then what do you mean?

Offline

#4 2021-12-17 21:01:07

seth
Member
Registered: 2012-09-03
Posts: 26,449

Re: Failed to start Authorization Manager

mounted the partitions from the original arch drive to /mnt and /mnt/boot respectively

error: could not open file: /etc/mtab: No such file or directory

Did you by any chance chroot into the installed system?

Offline

#5 2021-12-19 17:40:18

Robert_Adolph
Member
Registered: 2021-01-18
Posts: 11

Re: Failed to start Authorization Manager

If I chroot into the system and run the update I get the glibc error again

Offline

#6 2021-12-19 21:18:11

seth
Member
Registered: 2012-09-03
Posts: 26,449

Re: Failed to start Authorization Manager

I didn't mean to say "you should chroot" but "if you had chrooted, that could explain the error"
/etc/mtab is a symlink to ../proc/self/mounts and if you just chrooted (not arch-chrooted), you probably don't have /proc in place

What's "lsblk -f; stat /proc"  when you try to run that pacman command?

Offline

#7 2022-01-07 22:47:12

Robert_Adolph
Member
Registered: 2021-01-18
Posts: 11

Re: Failed to start Authorization Manager

Ok I got the proc thing sorted out by following your advice and this guide:
https://wiki.archlinux.org/title/pacman … an_upgrade

The files are updating now, however it will update 20-30 or so before returning 404s (failed to retrieve some files).  I have about 650 updates to go.  I can keep manually restarting the update until it is finished, but if there is a way to prevent it from stopping midway that would be appreciated.

Offline

#8 2022-01-07 23:18:20

Head_on_a_Stick
Member
From: London
Registered: 2014-02-20
Posts: 6,197

Re: Failed to start Authorization Manager

See https://wiki.archlinux.org/title/Mirror … irror_list for a way to generate a fresh, ranked mirrorlist for your country. Install the pacman-contrib package to get the rankmirrors command.

Offline

#9 2022-01-07 23:21:27

Slithery
Forum Moderator
From: Norfolk, UK
Registered: 2013-12-01
Posts: 4,867

Re: Failed to start Authorization Manager

Choose a different mirror that is actually up to date.


No, it didn't "fix" anything. It just shifted the brokeness one space to the right. - jasonwryan
Closing -- for deletion; Banning -- for muppetry. - jasonwryan

aur - dotfiles

Offline

#10 2022-01-14 22:41:41

Robert_Adolph
Member
Registered: 2021-01-18
Posts: 11

Re: Failed to start Authorization Manager

I ranked the top 20 mirrors following your advice and the wiki, and still had issues updating packages - getting through none or up to 50 before having to restart.  Could be my ISP Spectrum which I've had issues with.

Finally, after many retries I worked down to the last few packaged (out of 900+), and I got a long string of the error:

"error: GPGME error:  invalid crypto engine"

after that long string of errors, I got this error for each package:

"File var/cache/pacman/pkg/package-name is corrupted (invalid or corrupted package  (PGP signature))."
Prompting me to delete it for every one.

After trying to reupdate it starts all over at 900+ packages...

Offline

#11 2022-01-15 08:14:55

seth
Member
Registered: 2012-09-03
Posts: 26,449

Re: Failed to start Authorization Manager

The packages are first downloaded, then checked. Since you probably deleted all of them for the gpgme error, you now have to re-download them.

Boot the install iso.
Mount the root partition of the installed system to /mnt
Do NOT chroot into the installed system.
Try to run

pacman --sysroot /mnt -Sy archlinux-keyring

If that runs w/o error

pacman --sysroot /mnt -Su

otherwise post the exact error you got from the archlinux-keyring installation.

Offline

#12 2022-01-16 02:18:22

Robert_Adolph
Member
Registered: 2021-01-18
Posts: 11

Re: Failed to start Authorization Manager

The error I get from the keyring install:

"
Checking keys in keyring
error: GPGME error: Invalid crypto engine
Checking package integrity
error: GPGME error: Invalid crypto engine
error: archlinux-keyrin: missing required signature

/var/cache/pacman/pkg/arch-linux-keyring.pkg.tar.vst is corrupted (invalid or corrupted package (PGP signature))
Do you want to delete it?
"

Last edited by Robert_Adolph (2022-01-16 02:22:06)

Offline

#13 2022-01-16 10:23:40

Head_on_a_Stick
Member
From: London
Registered: 2014-02-20
Posts: 6,197

Offline

#14 2022-01-16 13:22:06

seth
Member
Registered: 2012-09-03
Posts: 26,449

Re: Failed to start Authorization Manager

Has

- Mounting from liveCD, pacman -Syu --root /mnt (which worked for upgrading packages, but the problem remains)

Makes me wonder whether pacman --sysroot ends up using the chrooted gpgme…

From the installation iso, root partition mounted to /boot but still NOT chrooted try

pacman --root /mnt --cachedir /mnt/var/cache/pacman/pkg -Sy archlinux-keyring

Offline

#15 2022-01-17 16:47:48

Robert_Adolph
Member
Registered: 2021-01-18
Posts: 11

Re: Failed to start Authorization Manager

Okay, that last command from you got me through to installing the keyring.  Then I ran the update and got through all but 20-40 packages.  Only those now prompt me with pgp signature issues  Before the update it prompts me with
"warning cannot resolve" ( for a list of about 20 packages. )
The following pacakges cannot be upgraded due to unresolvable dependencies:
lib32-alsa-lib lib32-alsa-plugins lib32-expat... and a few others all with lib32 prefix

Offline

#16 2022-01-17 21:19:15

seth
Member
Registered: 2012-09-03
Posts: 26,449

Re: Failed to start Authorization Manager

Please post the exact IO, not some reminiscences.

sudo pacman --root /mnt --cachedir /mnt/var/cache/pacman/pkg -Syu 2>&1 | tee /tmp/pacman.errors

/tmp/pacman.errors will then contain the output and you can curl it to ix.io (It's NOT permanently stored on the usb key!)

Offline

#17 Yesterday 15:07:02

Robert_Adolph
Member
Registered: 2021-01-18
Posts: 11

Re: Failed to start Authorization Manager

:: Synchronizing package databases...
 core downloading...
 extra downloading...
 community downloading...
:: Starting full system upgrade...
:: Replace bind-tools with extra/bind? [Y/n] :: Replace bzr with extra/breezy? [Y/n] :: Replace helm with community/helm-synth? [Y/n] :: Replace hwids with core/hwdata? [Y/n] :: Replace intel-tbb with extra/tbb? [Y/n] :: Replace libcanberra-pulse with extra/libcanberra? [Y/n] :: Replace libutil-linux with core/util-linux-libs? [Y/n] :: Replace pygobject-devel with extra/python-gobject? [Y/n] :: Replace python-dbus with extra/dbus-python? [Y/n] :: Replace python-dbus-common with extra/dbus-python? [Y/n] :: Replace python-mlt with community/mlt6? [Y/n] :: Replace xdg-desktop-portal-gtk with extra/xdg-desktop-portal-gnome? [Y/n] :: Replace xorg-luit with extra/luit? [Y/n] :: Replace xorg-server-xwayland with extra/xorg-xwayland? [Y/n] resolving dependencies...
:: There are 2 providers available for pipewire-session-manager:
:: Repository extra

Enter a number (default=1):    1) pipewire-media-session  2) wireplumber
looking for conflicting packages...
warning: dependency cycle detected:
warning: harfbuzz will be installed before its freetype2 dependency
warning: dependency cycle detected:
warning: libglvnd will be installed before its mesa dependency
warning: dependency cycle detected:
warning: usbmuxd will be installed before its libimobiledevice dependency
warning: dependency cycle detected:
warning: rubygems will be installed before its ruby dependency
warning: dependency cycle detected:
warning: ruby-irb will be installed before its ruby dependency
warning: dependency cycle detected:
warning: ruby-reline will be installed before its ruby dependency

Packages (916) a52dec-0.7.4-11  aalib-1.4rc5-14  accerciser-3.38.0-3  accountsservice-0.6.55-3  acl-2.3.1-1  adobe-source-code-pro-fonts-2.038ro+1.058it+1.018var-1  adwaita-icon-theme-41.0-1  alembic-1.8.3-2  alsa-card-profiles-1:0.3.43-5  alsa-lib-1.2.6.1-1  alsa-plugins-1:1.2.6-2  alsa-topology-conf-1.2.5.1-1  alsa-ucm-conf-1.2.6.3-1  alsa-utils-1.2.6-1  amd-ucode-20211216.f682ecb-1  amtk-5.3.1-1  aom-3.2.0-1  appstream-glib-0.7.18-2  archlinux-keyring-20220118-1  argon2-20190702-4  aribb24-1.0.3-3  aspell-0.60.8-2  at-spi2-atk-2.38.0-1  at-spi2-core-2.42.0-1  atk-2.36.0-1  atkmm-2.28.2-2  attr-2.5.1-1  audit-3.0.6-5  autoconf-archive-1:2021.02.19-4  automake-1.16.5-1  avahi-0.8+22+gfd482a7-3  avidemux-cli-2.8.0-1  avidemux-qt-2.8.0-1  babl-0.1.88-2  bash-5.1.016-1  bind-9.16.24-1  bind-tools-9.14.10-1 [removal]  bison-3.8.2-1  blas-3.10.0-1  blender-17:3.0.0-4  blosc-1.21.1-2  blueman-2.2.3-2  bluez-5.63-1  bluez-libs-5.63-1  bluez-utils-5.63-1  boost-libs-1.78.0-1  breezy-3.2.1-1  brotli-1.0.9-7  btrfs-progs-5.16-1  bubblewrap-0.5.0-1  bzip2-1.0.8-4  bzr-2.7.0-3 [removal]  ca-certificates-20210603-1  ca-certificates-mozilla-3.74-1  ca-certificates-utils-20210603-1  cairo-1.17.4-5  cairomm-1.14.3-2  cantarell-fonts-1:0.303.1-1  cblas-3.10.0-1  cdparanoia-10.2-8  chromium-97.0.4692.99-1  clang-13.0.0-4  clutter-1.26.4-1  clutter-gtk-1.8.4-2  cmake-3.22.1-5  cmark-0.30.2-1  cogl-1.22.8-1  colord-1.4.5-4  compiler-rt-13.0.0-2  coreutils-9.0-2  cpio-2.13-2  cryptsetup-2.4.3-1  ctags-1:5.9.20210905.0-1  curl-7.81.0-1  dav1d-0.9.2-1  dbus-1.12.20-1  dbus-glib-0.112-2  dbus-python-1.2.18-3  dconf-0.40.0-1  dconf-editor-3.38.3-1  desktop-file-utils-0.26-1  devhelp-41.2-3  device-mapper-2.03.14-2  dhcpcd-9.4.1-1  diffutils-3.8-1  djvulibre-3.5.28-3  dmraid-1.0.0.rc16.3-13  dnssec-anchors-20190629-3  docbook-xml-4.5-9  docbook-xsl-1.79.2-7  dosfstools-4.2-1  double-conversion-3.2.0-1  e2fsprogs-1.46.5-1  efibootmgr-17-2  efivar-38-2  elfutils-0.186-2  embree-3.13.2-2  enchant-2.3.2-1  epiphany-41.3-2  evince-41.3-1  evolution-3.42.3-1  evolution-data-server-3.42.3-1  exiv2-0.27.5-1  expat-2.4.3-1  faad2-2.10.0-1  fakeroot-1.27-1  ffmpeg-2:4.4.1-1  fftw-3.3.10-1  file-5.41-1  filesystem-2021.12.07-1  firefox-96.0.2-1  five-or-more-3.32.2-1  flac-1.3.3-3  flatpak-1.12.4-1  flatpak-builder-1.2.2-1  fmt-8.1.1-1  fontconfig-2:2.13.94-2  four-in-a-row-3.38.1-1  freeglut-3.2.1-2  freetype2-2.11.1-1  fribidi-1.0.11-1  fuse-common-3.10.5-1  fuse2-2.9.9-4  fuse3-3.10.5-1  gawk-5.1.1-1  gc-8.2.0-2  gcc-11.1.0-3  gcc-libs-11.1.0-3  gcr-3.41.0-1  gd-2.3.3-3  gdbm-1.22-1  gdk-pixbuf2-2.42.6-2  gdm-41.3-1  gedit-40.1-3  gegl-0.4.34-1  geoclue-2.5.7-4  geocode-glib-3.26.2-1  ghex-3.41.1-1  ghostscript-9.55.0-3  giflib-5.2.1-2  gimp-2.10.30-1  git-2.34.1-1  gjs-2:1.70.0-3  glade-3.38.2-3  glew-2.2.0-2  glib-networking-1:2.70.1-1  glib2-2.70.2-2  glib2-docs-2.70.2-2  glibc-2.33-5  glibmm-2.66.2-1  glslang-11.7.1-3  glu-9.0.2-2  gmp-6.2.1-1  gnome-autoar-0.4.2-1  gnome-bluetooth-3.34.5-2  gnome-builder-41.3-2  gnome-chess-41.1-1  gnome-code-assistance-2:3.16.1+14+gaad6437-2  gnome-desktop-1:41.3-1  gnome-devel-docs-40.3-1  gnome-disk-utility-41.0-1  gnome-keyring-1:40.0-1  gnome-klotski-3.38.2-1  gnome-mahjongg-3.38.3-1  gnome-mines-40.0-1  gnome-multi-writer-3.32.1-2  gnome-nettool-3.8.1+205+g8550eef-3  gnome-nibbles-3.38.2-1  gnome-online-accounts-3.40.1-1  gnome-power-manager-3.32.0-2  gnome-recipes-2.0.4-2  gnome-robots-40.0-1  gnome-session-41.3-1  gnome-settings-daemon-41.0-2  gnome-shell-1:41.3-1  gnome-sound-recorder-40.0-1  gnome-sudoku-40.2-1  gnome-taquin-3.38.1-1  gnome-tetravex-3.38.2-1  gnome-themes-extra-3.28+r6+g45b1d457-1  gnome-tweaks-40.0-2  gnome-usage-3.38.1-1  gnupg-2.2.32-2  gnutls-3.7.3-1  go-2:1.17.6-2  gobject-introspection-1.70.0-5  gobject-introspection-runtime-1.70.0-5  gpgme-1.16.0-3  gpm-1.20.7.r38.ge82d1a6-4  gptfdisk-1.0.8-1  graphene-1.10.6-1  graphite-1:1.3.14-1  graphviz-2.50.0-2  grep-3.7-1  grub-2:2.06-4  gsettings-desktop-schemas-41.0-1  gsfonts-20200910-2  gsm-1.0.19-1  gsound-1.0.3-1  gspell-1.8.4-1  gst-plugin-pipewire-1:0.3.43-5  gst-plugins-bad-libs-1.18.5-5  gst-plugins-base-1.18.5-1  gst-plugins-base-libs-1.18.5-1  gst-plugins-good-1.18.5-2  gstreamer-1.18.5-1  gtk-doc-1.33.2-1  gtk-update-icon-cache-1:4.6.0-2  gtk2-2.24.33-2  gtk3-1:3.24.31-1  gtk4-1:4.6.0-2  gtkmm3-3.24.5-2  gtksourceview4-4.8.2-1  gts-0.7.6.121130-2  guile-2.2.7-2  gvfs-1.48.1-1  gzip-1.11-1  harfbuzz-3.2.0-1  harfbuzz-icu-3.2.0-1  hdf5-1.12.1-1  helm-0.9.0-7 [removal]  helm-synth-0.9.0-9  hicolor-icon-theme-0.17-2  hidapi-0.11.2-1  hitori-3.38.3-1  hspell-1.4-4  http-parser-2.9.4-1  hunspell-1.7.0-3  hwdata-0.355-1  hwids-20191025-2 [removal]  hwloc-2.7.0-1  hyphen-2.8.8-3  i3-wm-4.20.1-1  iagno-3.38.1-1  iana-etc-20220110-1  icu-70.1-1  ijs-0.35-3  imagemagick-7.1.0.19-1  imath-3.1.3-4  imlib2-1.7.5-1  inetutils-2.2-1  iniparser-4.1-4  intel-tbb-2020.1-1 [removal]  intltool-0.51.0-6  iproute2-5.16.0-1  iptables-1:1.8.7-1  iputils-20211215-1  ipython-8.0.1-1  irssi-1.2.3-2  iso-codes-4.9.0-1  jansson-2.14-1  jasper-2.0.33-1  jbig2dec-0.19-1  jemalloc-1:5.2.1-6  js78-78.15.0-2  json-c-0.15-2  json-glib-1.6.6-1  jsoncpp-1.9.5-1  jsonrpc-glib-3.40.0-1  kbd-2.4.0-2  keyutils-1.6.3-1  kmod-29-1  krb5-1.19.2-2  l-smash-2.14.5-2  lame-3.100-3  lapack-3.10.0-1  lcms2-2.12-1  ldns-1.8.1-1  lensfun-0.3.95-6  less-1:590-1  lib32-gcc-libs-11.1.0-3  lib32-glibc-2.33-5  libaec-1.0.6-1  libappindicator-gtk2-12.10.0.r296-1  libarchive-3.5.2-2  libass-0.15.2-1  libassuan-2.5.5-1  libasyncns-0.8+3+g68cd5af-3  libatasmart-0.19-5  libavc1394-0.5.4-4  libavif-0.9.3-1  libblockdev-2.26-3  libbluray-1.3.0-1  libbsd-0.11.3-1  libbytesize-2.6-3  libcaca-0.99.beta20-1  libcanberra-0.30+2+gc0620e4-5  libcanberra-pulse-0.30+2+gc0620e4-2 [removal]  libcap-2.62-1  libcap-ng-0.8.2-6  libcddb-1.3.2-6  libcdio-2.1.0-2  libcdio-paranoia-10.2+2.0.1-2  libcloudproviders-0.3.1-2  libcolord-1.4.5-4  libcroco-0.6.13-2  libcryptui-3.12.2+55+ged3b12af-1  libcups-1:2.4.0-4  libcurl-gnutls-7.81.0-1  libdaemon-0.14-5  libdatrie-0.2.13-1  libdazzle-3.42.0.1-1  libdbusmenu-glib-16.04.0-4  libdbusmenu-gtk2-16.04.0-4  libdc1394-2.2.6-2  libdca-0.0.7-1  libde265-1.0.8-1  libdrm-2.4.109-1  libdv-1.0.0-9  libdvbpsi-1:1.3.3-2  libebml-1.4.2-1  libebur128-1.2.6-1  libedit-20210910_3.1-1  libelf-0.186-2  libepoxy-1.5.9-1  libev-4.33-1  libevdev-1.12.0-1  libevent-2.1.12-1  libexif-0.6.24-1  libfdk-aac-2.0.2-1  libffi-3.4.2-4  libfm-1.3.2-1  libfm-extra-1.3.2-1  libfm-gtk2-1.3.2-1  libfontenc-1.1.4-3  libfreeaptx-0.1.1-1  libgcrypt-1.9.4-1  libgdata-0.18.1-1  libgdm-41.3-1  libgee-0.20.4-1  libgexiv2-0.14.0-3  libgit2-1:1.3.0-1  libgit2-glib-1.0.0.1-1  libglvnd-1.4.0-1  libgnome-games-support-1.8.2-1  libgpg-error-1.43-1  libgphoto2-2.5.28-1  libgsf-1.14.48-1  libgtop-2.40.0+2+g31db82ef-2  libgudev-237-1  libgusb-0.3.10-1  libgweather-40.0-1  libgxps-0.3.2-1  libhandy-1.4.0-1  libharu-2.3.0-5  libheif-1.12.0-2  libibus-1.5.25-5  libical-3.0.13-1  libice-1.0.10-3  libid3tag-0.15.1b-11  libidn-1.38-1  libidn2-2.3.2-1  libiec61883-1.2.0-6  libimobiledevice-1.3.0-5  libindicator-gtk2-12.10.1-9  libinih-53-1  libinput-1.19.3-2  libjpeg-turbo-2.1.2-1  libksba-1.6.0-1  libldac-2.0.2.3-1  libldap-2.6.0-2  liblqr-0.4.2-3  libmad-0.15.1b-9  libmanette-0.2.6-2  libmatroska-1.6.3-1  libmaxminddb-1.6.0-1  libmd-1.0.4-1  libmfx-21.3.5-2  libmm-glib-1.18.4-1  libmng-2.0.3-3  libmodplug-0.8.9.0-3  libmpc-1.2.1-1  libmpcdec-1:0.1+r475-3  libmpdclient-2.20-1  libmpeg2-0.5.1-7  libmypaint-1.6.1-1  libndp-1.8-1  libnetfilter_conntrack-1.0.8-1  libnewt-0.52.21-8  libnfnetlink-1.0.1-4  libnftnl-1.2.1-1  libnghttp2-1.46.0-1  libnl-3.5.0-3  libnm-1.34.0-1  libnma-1.8.34-1  libnotify-0.7.9-2  libnsl-2.0.0-1  liboauth-1.0.3+14+g186fb14-2  libogg-1.3.5-1  libomxil-bellagio-0.9.3-3  libopenshot-0.2.7-7  libopenshot-audio-0.2.2-1  libotr-4.1.1-3  libp11-kit-0.24.1-1  libpaper-1.1.28-1  libpcap-1.10.1-1  libpciaccess-0.16-2  libpeas-1.30.0-3  libpgm-5.3.128-1  libphonenumber-8.12.41-1  libplacebo-4.157.0-1  libplist-2.2.0-5  libpng-1.6.37-3  libpng12-1.2.59-2  libportal-0.5-1  libportal-gtk3-0.5-1  libproxy-0.4.17-6  libpsl-0.21.1-1  libpst-0.6.76-5  libpulse-15.0-1  libpwquality-1.4.4-5  libraqm-0.8.0-1  libraw-0.20.2-1  libraw1394-2.1.2-3  librsvg-2:2.52.5-1  libsamplerate-0.2.2-1  libsasl-2.1.27-3  libseccomp-2.5.3-3  libsecret-0.20.4-1  libshout-1:2.4.5-1  libsigc++-2.10.7-2  libsm-1.2.3-2  libsndfile-1.0.31-1  libsodium-1.0.18-2  libsoup-2.74.2-2  libsoup3-3.0.4-2  libsoxr-0.1.3-2  libspectre-0.2.9-2  libspiro-1:20200505-2  libspnav-0.2.3-3  libssh-0.9.6-1  libssh2-1.10.0-1  libstemmer-2.2.0-1  libsynctex-2021.59745-1  libsysprof-capture-3.42.1-2  libtar-1.2.20-6  libtasn1-4.18.0-1  libteam-1.31-5  libthai-0.1.29-1  libtheora-1.1.1-5  libtiff-4.3.0-1  libtirpc-1.3.2-1  libunistring-0.9.10-3  libunwind-1.6.2-1  libupnp-1.14.12-2  liburcu-0.13.1-1  libusb-1.0.24-2  libusbmuxd-2.0.2-1  libutempter-1.2.1-1  libutil-linux-2.35-1 [removal]  libuv-1.43.0-1  libva-2.13.0-1  libvdpau-1.4-1  libvisual-0.4.0-8  libvoikko-4.3.1-2  libvorbis-1.3.7-2  libvpx-1.11.0-1  libwacom-2.0.0-2  libwebp-1.2.2-1  libwmf-0.2.12-2  libwnck3-40.0-1  libwpe-1.12.0-1  libx11-1.7.3.1-1  libxau-1.0.9-3  libxaw-1.0.14-1  libxcb-1.14-1  libxcomposite-0.4.5-3  libxcrypt-4.4.27-1  libxcursor-1.2.0-2  libxcvt-0.1.1-1  libxdamage-1.1.5-3  libxdmcp-1.1.3-3  libxext-1.3.4-3  libxfixes-6.0.0-1  libxfont2-2.0.5-1  libxft-2.3.4-1  libxi-1.8-1  libxinerama-1.1.4-3  libxkbcommon-1.3.1-1  libxkbcommon-x11-1.3.1-1  libxkbfile-1.1.0-2  libxml2-2.9.12-7  libxmu-1.1.3-2  libxpm-3.5.13-2  libxrandr-1.5.2-3  libxrender-0.9.10-4  libxres-1.2.1-1  libxshmfence-1.3-2  libxslt-1.1.34-6  libxss-1.2.3-3  libxt-1.2.1-1  libxtst-1.2.3-4  libxv-1.0.11-4  libxxf86vm-1.1.4-4  libyaml-0.2.5-1  libytnef-1:2.0-2  libyuv-r2266+eb6e7bb6-1  licenses-20200427-1  lightsoff-40.0.1-1  lilv-0.24.12-4  linux-5.16.2.arch1-1  linux-api-headers-5.12.3-1  linux-firmware-20211216.f682ecb-1  llvm-libs-13.0.0-6  lm_sensors-1:3.6.0.r41.g31d1f125-1  lmdb-0.9.29-1  log4cplus-2.0.7-1  lrzip-0.641-1  lsb-release-1.4-18  lua-5.4.3-1  lua52-5.2.4-5  luajit-2.0.5-3  luit-20210218-1  lv2-1.18.2-1  lvm2-2.03.14-2  lxmenu-data-0.1.5-3  lz4-1:1.9.3-2  mailcap-2.1.53-1  mbedtls-2.28.0-1  md4c-0.4.8-1  mdadm-4.2-1  menu-cache-1.1.0-2  mesa-21.3.4-1  mesa-vdpau-21.3.4-1  meson-0.61.1-1  metis-5.1.0.p10-2  minizip-1:1.2.11-5  mkinitcpio-31-2  mkinitcpio-busybox-1.34.1-1  mlt-7.4.0-2  mlt6-6.26.1-8  mobile-broadband-provider-info-20210805-1  mpfr-4.1.0.p13-1  mpg123-1.29.3-1  mtdev-1.1.6-1  mutter-41.3-2  mypaint-brushes1-1.3.1-1  nautilus-sendto-3.8.6+28+gc87aac4-1  ncurses-6.3-1  ndctl-72.1-1  netpbm-10.73.37-1  nettle-3.7.3-1  networkmanager-1.34.0-1  networkmanager-openvpn-1.8.16-1  ninja-1.10.2-1  nm-connection-editor-1.24.0-1  npth-1.6-3  nspr-4.33-1  nss-3.74-1  numactl-2.0.14-1  nvidia-cg-toolkit-3.1-6  obs-studio-27.1.3-3  ocl-icd-2.3.1-1  openal-1.21.1-2  opencollada-1:1.6.68-2  opencolorio-2.1.1-2  opencore-amr-0.1.5-5  opencv-4.5.5-1  openexr-3.1.3-1  openimagedenoise-1.4.2-1  openimageio-2.2.18.0-4  openjpeg2-2.4.0-1  openmpi-4.1.2-1  openshadinglanguage-1.11.17.0-1  openshot-2.6.1-5  openssh-8.8p1-1  openssl-1.1.1.m-1  openssl-1.0-1.0.2.u-1  opensubdiv-3.4.4-8  openvdb-9.0.0-9  openvpn-2.5.5-1  openxr-1.0.22-1  opus-1.3.1-2  orc-0.4.32-1  ostree-2022.1-1  p11-kit-0.24.1-1  p7zip-1:17.04-3  pacman-6.0.1-3  pacman-mirrorlist-20220116-1  pam-1.5.2-1  pambase-20211210-1  pango-1:1.50.3-1  pangomm-2.46.2-1  parted-3.4-2  pavucontrol-1:5.0-1  pciutils-3.7.0-2  pcmanfm-1.3.2-1  pcre-8.45-1  pcre2-10.39-1  perl-5.34.0-3  perl-clone-0.45-3  perl-encode-locale-1.05-8  perl-error-0.17029-3  perl-file-listing-6.14-2  perl-html-parser-3.76-2  perl-html-tagset-3.20-11  perl-http-cookies-6.10-2  perl-http-daemon-6.12-1  perl-http-date-6.05-4  perl-http-message-6.34-1  perl-http-negotiate-6.01-9  perl-io-html-1.004-2  perl-libwww-6.58-1  perl-lwp-mediatypes-6.04-1  perl-mailtools-2.21-5  perl-net-http-6.21-2  perl-timedate-2.33-3  perl-try-tiny-0.31-1  perl-uri-5.10-1  perl-www-robotrules-6.02-9  perl-xml-parser-2.46-3  pinentry-1.2.0-1  pipewire-1:0.3.43-5  pipewire-media-session-1:0.4.1-1  pixman-0.40.0-1  pkcs11-helper-1.28.0-1  pkgconf-1.8.0-1  playerctl-2.4.1-1  polari-41.0-1  polkit-0.120-3  poppler-22.01.0-1  poppler-data-0.4.11-1  poppler-glib-22.01.0-1  popt-1.18-2  potrace-1.16-2  procps-ng-3.3.17-1  protobuf-3.19.2-1  psmisc-23.4-1  ptex-2.4.1-3  pugixml-1.11.4-1  pulseaudio-15.0-1  pulseaudio-alsa-1:1.2.6-2  pulseaudio-bluetooth-15.0-1  pybind11-2.9.0-1  pygobject-devel-3.34.0-3 [removal]  pystring-1.1.3.git1-1  python-3.10.1-2  python-anytree-2.8.0-5  python-appdirs-1.4.4-6  python-astroid-2.9.3-1  python-asttokens-2.0.5-2  python-atspi-2.38.2-1  python-babel-2.9.1-3  python-backcall-0.2.0-6  python-beaker-1.11.0-8  python-black-21.12b0-3  python-cairo-1.20.1-3  python-chardet-4.0.0-5  python-click-8.0.3-3  python-configobj-5.0.6.r110.g3e2f4cc-3  python-dbus-1.2.14-1 [removal]  python-dbus-common-1.2.14-1 [removal]  python-decorator-5.1.0-3  python-docutils-1:0.16-2  python-executing-0.8.2-2  python-gobject-3.42.0-3  python-idna-3.3-3  python-imagesize-1.3.0-3  python-importlib-metadata-4.8.1-3  python-isort-5.10.1-4  python-jedi-0.18.1-1  python-jinja-3.0.3-3  python-lazy-object-proxy-1.7.1-1  python-lxml-4.6.5-1  python-mako-1.1.6-3  python-markdown-3.3.6-3  python-markupsafe-2.0.1-3  python-matplotlib-inline-0.1.3-3  python-mccabe-0.6.1-11  python-mlt-6.18.0-3 [removal]  python-more-itertools-8.10.0-4  python-mypy_extensions-0.4.3-5  python-numpy-1.21.5-2  python-ordered-set-4.0.2-6  python-packaging-20.9-7  python-parso-1:0.8.2-3  python-pathspec-0.9.0-3  python-patiencediff-0.2.2-3  python-pexpect-4.8.0-6  python-pickleshare-0.7.5-8  python-platformdirs-2.4.1-1  python-ply-3.11-10  python-prompt_toolkit-3.0.24-1  python-protobuf-3.19.2-1  python-ptyprocess-0.7.0-4  python-pure-eval-0.2.1-2  python-pycodestyle-2.8.0-5  python-pyflakes-2.4.0-3  python-pygments-2.11.2-1  python-pylint-2.12.2-2  python-pyparsing-2.4.7-6  python-pyqt5-5.15.6-6  python-pyqt5-sip-12.9.0-3  python-pytz-2021.3-4  python-pyzmq-22.2.1-3  python-requests-2.26.0-5  python-setuptools-1:59.1.1-1  python-simplejson-3.17.6-3  python-six-1.16.0-5  python-snowballstemmer-2.2.0-3  python-sphinx-4.4.0-1  python-sphinx-alabaster-theme-0.7.12-9  python-sphinxcontrib-applehelp-1.0.2-8  python-sphinxcontrib-devhelp-1.0.2-8  python-sphinxcontrib-htmlhelp-2.0.0-3  python-sphinxcontrib-jsmath-1.0.1-11  python-sphinxcontrib-qthelp-1.0.3-8  python-sphinxcontrib-serializinghtml-1.1.5-3  python-stack-data-0.1.4-1  python-systemd-234-11  python-sysv_ipc-1.1.0-2  python-toml-0.10.2-7  python-tomli-1.2.3-1  python-traitlets-5.1.0-3  python-typed-ast-1.5.1-1  python-typing_extensions-4.0.1-1  python-urllib3-1.26.7-5  python-wcwidth-0.2.5-6  python-wrapt-1.12.1-6  python-xlib-0.31-3  python-zipp-3.6.0-3  python2-2.7.18-5  qqwing-1.3.4-5  qt5-base-5.15.2+kde+r294-1  qt5-declarative-5.15.2+kde+r43-1  qt5-location-5.15.2-4  qt5-multimedia-5.15.2-1  qt5-sensors-5.15.2-1  qt5-svg-5.15.2+kde+r16-1  qt5-translations-5.15.2+kde+r20-2  qt5-wayland-5.15.2+kde+r44-1  qt5-webchannel-5.15.2+kde+r5-1  qt5-webengine-5.15.8-1  qt5-webkit-5.212.0alpha4-11  qt5-websockets-5.15.2+kde+r7-1  qt5-x11extras-5.15.2-1  quadrapassel-40.2-1  rav1e-0.4.1-1  re2-1:20211101-1  readline-8.1.001-1  rest-0.8.1+r4+ge5ee6ef-1  rhash-1.4.2-1  rpmextract-1.0-9  rtkit-0.13-1  ruby-3.0.3-1  ruby-dbus-0.16.0-1  ruby-ffi-1.15.5-1  ruby-irb-1.3.6-1  ruby-maruku-0.7.3-6  ruby-psych-4.0.3-2  ruby-rb-fsevent-0.11.0-1  ruby-rb-inotify-0.10.1-1  ruby-rdoc-6.4.0-2  ruby-reline-0.2.5-1  ruby-sass-3.7.4-3  ruby-sass-listen-4.0.0-9  ruby-stringio-3.0.1-2  ruby-yard-0.9.26-2  rubygems-3.2.29-1  run-parts-5.5-1  rust-1:1.58.1-1  sbc-1.5-2  scons-4.3.0-3  sdl2-2.0.20-1  serd-0.30.10-1  shaderc-2021.3-1  shadow-4.8.1-4  shared-mime-info-2.0+115+gd74a913-1  slang-2.3.2-2  snappy-1.1.9-2  sord-0.16.8-1  sound-theme-freedesktop-0.8-4  speex-1.2.0-3  speexdsp-1.2.0-2  spirv-tools-2021.3-1  sqlite-3.37.2-1  sratom-0.6.8-3  srt-1.4.4-1  startup-notification-0.12-7  sudo-1.9.8.p2-3  suitesparse-5.10.1-2  svt-av1-0.8.7-1  swell-foop-41.0.1-1  sysfsutils-2.1.1-1  sysprof-3.42.1-2  systemd-250.3-1  systemd-libs-250.3-1  systemd-swap-4.4.0-2  systemd-sysvcompat-250.3-1  t1lib-5.1.2-8  taglib-1.12-1  tali-40.4-1  tar-1.34-1  tbb-2021.5.0-1  tdb-1.4.5-3  telepathy-glib-0.24.2-2  telepathy-idle-0.2.2-1  telepathy-logger-0.8.2-5  telepathy-mission-control-5.16.6-1  template-glib-3.34.0+4+g5196521-1  tepl-6.00.0-3  thin-provisioning-tools-0.9.0-1  tinyxml-2.6.2-8  tracker-2.3.6+7+gb27396252-3  tracker3-3.2.1-2  tslib-1.22-1  ttf-liberation-2.1.5-1  tzdata-2021e-1  uchardet-0.0.7-1  udisks2-2.9.4-1  unzip-6.0-16  upower-0.99.13-1  usbmuxd-1.1.1-1  util-linux-2.37.2-5  util-linux-libs-2.37.2-5  v4l-utils-1.22.1-1  vala-0.54.6-1  vid.stab-1.1-3  vim-8.2.4106-1  vim-runtime-8.2.4106-1  vlc-3.0.16-6  vmaf-1.5.3-1  volume_key-0.3.12-7  vte-common-0.66.2-1  vte3-0.66.2-1  vulkan-icd-loader-1.2.202-1  wavpack-5.4.0-1  wayland-1.20.0-1  wayland-protocols-1.24-1  webkit2gtk-2.34.4-1  webkit2gtk-4.1-2.34.4-1  webrtc-audio-processing-0.3.1-3  wget-1.21.2-1  whois-5.5.11-1  woff2-1.0.2-3  wpa_supplicant-2:2.9-8  wpebackend-fdo-1.12.0-1  x264-3:0.163.r3060.5db6aa6-1  x265-3.5-1  xbitmaps-1.1.2-2  xcb-proto-1.14.1-5  xcb-util-0.4.0-3  xcb-util-cursor-0.1.3-3  xcb-util-image-0.4.0-3  xcb-util-keysyms-0.4.0-3  xcb-util-renderutil-0.3.9-3  xcb-util-wm-0.4.1-3  xcb-util-xrm-1.3-2  xdg-dbus-proxy-0.1.2-3  xdg-desktop-portal-1.12.1-1  xdg-desktop-portal-gnome-41.1-1  xdg-desktop-portal-gtk-1.12.0-1  xdg-desktop-portal-gtk-1.6.0-1 [removal]  xdg-user-dirs-0.17-3  xdg-utils-1.1.3+19+g9816ebb-1  xf86-input-libinput-1.2.0-2  xf86-video-amdgpu-21.0.0-2  xf86-video-ati-1:19.1.0.r9.g5eba006e-2  xfsprogs-5.14.2-1  xkeyboard-config-2.34-1  xorg-bdftopcf-1.1-2  xorg-fonts-encodings-1.0.5-2  xorg-iceauth-1.0.8-2  xorg-luit-1.1.1-3 [removal]  xorg-server-21.1.3-1  xorg-server-common-21.1.3-1  xorg-server-xwayland-1.20.7-1 [removal]  xorg-sessreg-1.1.2-2  xorg-setxkbmap-1.3.2-2  xorg-smproxy-1.0.6-3  xorg-x11perf-1.6.1-2  xorg-xauth-1.1.1-1  xorg-xbacklight-1.2.3-2  xorg-xcmsdb-1.0.5-3  xorg-xcursorgen-1.0.7-2  xorg-xdpyinfo-1.3.2-4  xorg-xdriinfo-1.0.6-2  xorg-xev-1.2.4-1  xorg-xgamma-1.0.6-3  xorg-xhost-1.0.8-2  xorg-xinit-1.4.1-3  xorg-xinput-1.6.3-2  xorg-xkbcomp-1.4.5-1  xorg-xkbevd-1.1.4-3  xorg-xkbutils-1.0.4-4  xorg-xkill-1.0.5-2  xorg-xlsatoms-1.1.3-2  xorg-xlsclients-1.1.4-2  xorg-xmodmap-1.0.10-2  xorg-xpr-1.0.5-2  xorg-xprop-1.2.5-1  xorg-xrandr-1.5.1-2  xorg-xrdb-1.2.1-1  xorg-xrefresh-1.0.6-2  xorg-xset-1.2.4-2  xorg-xsetroot-1.1.2-2  xorg-xvinfo-1.1.4-2  xorg-xwayland-21.1.4-1  xorg-xwd-1.0.8-1  xorg-xwininfo-1.1.5-2  xorg-xwud-1.0.5-2  xorgproto-2021.5-1  xterm-370-1  xvidcore-1.3.7-2  xz-5.2.5-2  yajl-2.1.0-5  yaml-cpp-0.7.0-2  yelp-41.2-1  yelp-xsl-41.1-1  zenity-3.41.0-1  zeromq-4.3.4-2  zimg-3.0.3-1  zita-alsa-pcmi-0.4.0-1  zita-resampler-1.8.0-1  zlib-1:1.2.11-5  zstd-1.5.1-2

Total Download Size:    496.53 MiB
Total Installed Size:  7855.12 MiB
Net Upgrade Size:      1638.94 MiB

:: Proceed with installation? [Y/n] :: Retrieving packages...
 linux-5.16.2.arch1-1-x86_64 downloading...
 rust-1:1.58.1-1-x86_64 downloading...
 chromium-97.0.4692.99-1-x86_64 downloading...
 firefox-96.0.2-1-x86_64 downloading...
 webkit2gtk-4.1-2.34.4-1-x86_64 downloading...
 webkit2gtk-2.34.4-1-x86_64 downloading...
 qt5-base-5.15.2+kde+r294-1-x86_64 downloading...
 gtk4-1:4.6.0-2-x86_64 downloading...
 systemd-250.3-1-x86_64 downloading...
 grub-2:2.06-4-x86_64 downloading...
 gnutls-3.7.3-1-x86_64 downloading...
 mutter-41.3-2-x86_64 downloading...
 libphonenumber-8.12.41-1-x86_64 downloading...
 gst-plugins-bad-libs-1.18.5-5-x86_64 downloading...
 python-sphinx-4.4.0-1-any downloading...
 flatpak-1.12.4-1-x86_64 downloading...
 pipewire-1:0.3.43-5-x86_64 downloading...
 libxml2-2.9.12-7-x86_64 downloading...
 meson-0.61.1-1-any downloading...
 qt5-wayland-5.15.2+kde+r44-1-x86_64 downloading...
 archlinux-keyring-20220118-1-any downloading...
 ipython-8.0.1-1-any downloading...
 gnome-settings-daemon-41.0-2-x86_64 downloading...
 openxr-1.0.22-1-x86_64 downloading...
 systemd-libs-250.3-1-x86_64 downloading...
 libical-3.0.13-1-x86_64 downloading...
 python-setuptools-1:59.1.1-1-any downloading...
 ruby-rdoc-6.4.0-2-any downloading...
 libp11-kit-0.24.1-1-x86_64 downloading...
 libwebp-1.2.2-1-x86_64 downloading...
 libnma-1.8.34-1-x86_64 downloading...
 libinput-1.19.3-2-x86_64 downloading...
 flatpak-builder-1.2.2-1-x86_64 downloading...
 python-black-21.12b0-3-any downloading...
 libuv-1.43.0-1-x86_64 downloading...
 python-click-8.0.3-3-any downloading...
 efivar-38-2-x86_64 downloading...
 p11-kit-0.24.1-1-x86_64 downloading...
 expat-2.4.3-1-x86_64 downloading...
 libwacom-2.0.0-2-x86_64 downloading...
 ruby-psych-4.0.3-2-x86_64 downloading...
 rest-0.8.1+r4+ge5ee6ef-1-x86_64 downloading...
 fakeroot-1.27-1-x86_64 downloading...
 gst-plugin-pipewire-1:0.3.43-5-x86_64 downloading...
 python-pathspec-0.9.0-3-any downloading...
 ruby-stringio-3.0.1-2-any downloading...
 python-stack-data-0.1.4-1-any downloading...
 python-asttokens-2.0.5-2-any downloading...
 python-executing-0.8.2-2-any downloading...
 alsa-card-profiles-1:0.3.43-5-x86_64 downloading...
 python-pure-eval-0.2.1-2-any downloading...
 gtk-update-icon-cache-1:4.6.0-2-x86_64 downloading...
 python-mypy_extensions-0.4.3-5-any downloading...
 systemd-sysvcompat-250.3-1-x86_64 downloading...
checking keyring...
downloading required keys...
:: Import PGP key C132293954BBE4AD, "Sergej Pupykin <spupykin@archlinux.org>"? [Y/n] :: Import PGP key 1C736AEF96402E7C, "Andreas Schleifer <segaja@archlinux.org>"? [Y/n] checking package integrity...
error: libxslt: signature from "Levente Polyak (anthraxx) <levente@leventepolyak.net>" is invalid
:: File /mnt/var/cache/pacman/pkg/libxslt-1.1.34-6-x86_64.pkg.tar.zst is corrupted (invalid or corrupted package (PGP signature)).
Do you want to delete it? [Y/n] error: inetutils: signature from "Levente Polyak (anthraxx) <levente@leventepolyak.net>" is invalid
:: File /mnt/var/cache/pacman/pkg/inetutils-2.2-1-x86_64.pkg.tar.zst is corrupted (invalid or corrupted package (PGP signature)).
Do you want to delete it? [Y/n] error: failed to commit transaction (invalid or corrupted package)
Errors occurred, no packages were upgraded.

Offline

#18 Yesterday 15:12:05

seth
Member
Registered: 2012-09-03
Posts: 26,449

Re: Failed to start Authorization Manager

pacman-key --list-keys anthraxx

Offline

#19 Yesterday 16:12:18

Robert_Adolph
Member
Registered: 2021-01-18
Posts: 11

Re: Failed to start Authorization Manager

pub   rsa4096 2018-11-08 [SC]
      D8AFDDA07A5B6EDFA7D8CCDAD6D055F927843F1C
uid           [  full  ] Levente Polyak (Arch Linux Master Key) <anthraxx@master-key.archlinux.org>
sub   rsa4096 2018-11-08 [E]
sub   rsa4096 2018-11-08 [A]

pub   rsa4096 2011-11-07 [SC] [expires: 2023-12-31]
      E240B57E2C4630BA768E2F26FC1B547C8D8172C8
uid           [  full  ] Levente Polyak (anthraxx) <levente@leventepolyak.net>
uid           [  full  ] Levente Polyak <Z3r0.0x00@gmail.com>
uid           [  full  ] Levente Polyak <anthraxx@archlinux.org>
uid           [  full  ] Levente Polyak <anthraxx@hamburg.ccc.de>
uid           [  full  ] Levente Polyak <levente@leventepolyak.de>
uid           [marginal] Levente Polyak (Jabber/XMPP only) <anthraxx@jabber.ccc.de>
sub   rsa4096 2011-11-07 [E] [expires: 2023-12-31]

Offline

#20 Yesterday 16:31:06

seth
Member
Registered: 2012-09-03
Posts: 26,449

Re: Failed to start Authorization Manager

Looks ok, is the package corrupt? (Does deleting and re-downloading it help?)

Offline

#21 Yesterday 23:37:17

Robert_Adolph
Member
Registered: 2021-01-18
Posts: 11

Re: Failed to start Authorization Manager

The above didn't work so I went ahead and tried a fresh install(except I did not format).  I'm back to using the system now, except there is a graphical issue.  The screen glitches out and becomes unviewable (like a blurry, fuzzy look), whenever I change windows somewhat unpredictably.

Offline

Board footer

Powered by FluxBB